Bug 2067 - conftest problem for sys/mode.h and rpcsvc/yp_prot.h on Irix 6.5.23
Summary: conftest problem for sys/mode.h and rpcsvc/yp_prot.h on Irix 6.5.23
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Config Files (show other bugs)
Version: 3.0.8
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-19 08:24 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
configure log (57.90 KB, application/x-gzip)
2004-11-19 08:26 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2004-11-19 08:24:26 UTC
1.
configure: WARNING: rpcsvc/yp_prot.h: present but cannot be compiled
configure: WARNING: rpcsvc/yp_prot.h:     check for missing prerequisite headers?
configure: WARNING: rpcsvc/yp_prot.h: see the Autoconf documentation
configure: WARNING: rpcsvc/yp_prot.h:     section "Present But Cannot Be Compiled"
configure: WARNING: rpcsvc/yp_prot.h: proceeding with the preprocessor's result
configure: WARNING: rpcsvc/yp_prot.h: in the future, the compiler will take precedence

2.
configure: WARNING: sys/mode.h: present but cannot be compiled
configure: WARNING: sys/mode.h:     check for missing prerequisite headers?
configure: WARNING: sys/mode.h: see the Autoconf documentation
configure: WARNING: sys/mode.h:     section "Present But Cannot Be Compiled"
configure: WARNING: sys/mode.h: proceeding with the preprocessor's result
configure: WARNING: sys/mode.h: in the future, the compiler will take precedence
Comment 1 Jason Mader (mail bounces back) 2004-11-19 08:26:52 UTC
Created attachment 800 [details]
configure log
Comment 2 Jason Mader (mail bounces back) 2004-11-22 12:07:25 UTC
(From Noah Misch)

configure:5714: checking sys/mode.h usability
configure:5726: cc -c -O  conftest.c >&5
cc-1204 cc: WARNING File = /usr/include/sys/vnode.h, Line = 332
  The indicated declaration is not visible outside of the function.

  typedef       int     (*vop_read_t)(bhv_desc_t *, struct uio *, int, 
struct cred *,

Apparently sys/mode.h depends on another header that defines `struct uio'.  You
can fix the Samba configure.in or configure.ac to account for that; see the node
``Present But Cannot Be Compiled'' in the Autoconf manual.  If you just want to
use Samba, the fix is not necessary.
Comment 3 Jason Mader (mail bounces back) 2004-11-22 14:36:40 UTC
On issue (1), the code generated to test rpcsvc/yp_prot.h does not include rpc/rpc.h which includes the 
necessary prerequesite headers.

It does

| #define HAVE_RPC_RPC_H 1

but doesn't write a #include <rpc/rpc.h>

If it did, the test would succeed on Irix.

Line 658 of configure.in can be changed to:

AC_CHECK_HEADERS(rpc/rpc.h rpcsvc/nis.h rpcsvc/yp_prot.h rpcsvc/ypclnt.h,,,
[[#if HAVE_RPC_RPC_H
# include <rpc/rpc.h>
#endif
]])
Comment 4 Jason Mader (mail bounces back) 2004-11-22 16:18:42 UTC
(From James Peach)

Just found it .. in includes.h, apparantly AIX needs mode.h for
S_ISLINK. On IRIX, S_ISLINK comes from sys/stat.h, so sys/mode.h is
never included in the Samba build.
Comment 5 Gerald (Jerry) Carter 2005-03-22 10:37:10 UTC
fixed using autoconf magic.  Will watch build farm.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:18:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.